Employment records & compliance

Request My Employment Verification Letter

Generates the caller's employment verification letter PDF from a Google-Doc template, stores it, and emails it.

POSThttps://api.toku.com/hris/request-my-employment-verification-letter

Not available to API keys.

curl --request POST \
  --url 'https://api.toku.com/hris/request-my-employment-verification-letter' \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "recipientEmail": "user@example.com"
}'
200 response
{
  "documentId": "string"
}

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Body

application/json

recipientEmailstring<email>

Response

200Successful response
statusanyrequired
documentIdstringrequired
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits